> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/ja/vast/vast-wrapper.md).

# VASTラッパータグ

## XMLの例

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>EXADS</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.realsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## プロパティ

| オプション                                    | 説明                                                                                                                                                                                         |
| ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `<?xml version="1.0" encoding="UTF-8"?>` | 定義されたバージョンとエンコーディングを持つXML宣言。                                                                                                                                                               |
| `VAST`                                   | この要素で使用されるVASTバージョン                                                                                                                                                                        |
| `Wrapper fallbackOnNoAd`                 | ツリー内に別のVAST要素があることを示します。「Video Fallback」が広告ゾーン設定で有効になっている場合、これによりこの要素がVASTキュー内でどの位置にあるかも示されます                                                                                              |
| `VASTAdTagURI`                           | この要素は、二次VASTレスポンスへのURIを提供するために使用されます。この二次レスポンスは別のWrapperである場合もありますが、最終的にVAST Wrapperは返す必要があります。 `<InLine>` 広告です。バージョン3ではWrapperのリダイレクト回数に制限はありませんが、バージョン4では最大5回のWrapper VASTリダイレクトが許可されます。 |
| `VideoClicks`                            | 広告が表示されている間にユーザーが動画プレーヤーのフレーム内を直接クリックした場合、動画プレーヤーが何をすべきかを指定するために使用される要素。 `<VideoClicks>` 要素が提供される場合、それには単一の子要素が含まれます `<ClickTracking>` URIを持つ要素（または `<ClickThrough>` VASTタグの場合）。           |
| `ClickTracking`                          | を追跡するために使用される要素 `クリックスルー` クリエイティブファイルがその処理を行うときの `クリックスルー`.                                                                                                                                |
| `拡張`                                     | 広告サーバーによって提供される追加設定                                                                                                                                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/ja/vast/vast-wrapper.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
